petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscOptionsView

Prints the options that have been loaded. This is useful for debugging purposes.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsView(PetscOptions options,PetscViewer viewer)

Logically Collective on PetscViewer

### Input Parameter

| options | - options database, use NULL for default global database
| viewer | - must be an PETSCVIEWERASCII viewer

### Options Database Key

-options_view -Activates PetscOptionsView() within PetscFinalize()

### Notes

Only the rank zero process of MPI_Comm used to create view prints the option values. Other processes may have different values but they are not printed.

### See Also

PetscOptionsAllUsed()

### Level

advanced

### Location

src/sys/objects/options.c

### Examples

src/sys/examples/tutorials/ex19.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages